org.apache.sysds.runtime.instructions.spark

## Class BinarySPInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.spark.SPInstruction
    - - org.apache.sysds.runtime.instructions.spark.ComputationSPInstruction
      - - org.apache.sysds.runtime.instructions.spark.BinarySPInstruction

- All Implemented Interfaces:
    LineageTraceable
  Direct Known Subclasses:
    AppendGAlignedSPInstruction, AppendGSPInstruction, AppendMSPInstruction, AppendRSPInstruction, BinaryFrameFrameSPInstruction, BinaryFrameMatrixSPInstruction, BinaryFrameScalarSPInstruction, BinaryMatrixBVectorSPInstruction, BinaryMatrixMatrixSPInstruction, BinaryMatrixScalarSPInstruction, BinaryTensorTensorBroadcastSPInstruction, BinaryTensorTensorSPInstruction, CovarianceSPInstruction, CpmmSPInstruction, CumulativeOffsetSPInstruction, MapmmSPInstruction, PMapmmSPInstruction, PmmSPInstruction, QuantilePickSPInstruction, RmmSPInstruction, UaggOuterChainSPInstruction, ZipmmSPInstruction

      public abstract class BinarySPInstruction
      extends ComputationSPInstruction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.spark.SPInstruction

      `SPInstruction.SPType`

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

      `Instruction.IType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.runtime.instructions.spark.ComputationSPInstruction

      `input1, input2, input3, output`

    - ### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

      `DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BinarySPInstruction` | `parseInstruction(String str)`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.spark.ComputationSPInstruction

      `getLineageItem, getOutputVariableName`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.spark.SPInstruction

      `getGraphString, getSPInstructionType, getType, postprocessInstruction, preprocessInstruction, processInstruction, requiresLabelUpdate`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

      `getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

      `getLineageItems, hasSingleLineage`

- - ### Method Detail

    - #### parseInstruction

          public static BinarySPInstruction parseInstruction(String str)

Copyright © 2021 The Apache Software Foundation. All rights reserved.